Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.activation
Class ActiveDockableListener

    java.lang.Object
      org.flexdock.docking.activation.ActiveDockableListener

All Implemented Interfaces:
  AWTEventListener, PropertyChangeListener, EventListener, ChangeListener, DockingConstants

    public class ActiveDockableListener

extends Object
implements DockingConstants, PropertyChangeListener, ChangeListener, AWTEventListener

Author:
  Christopher Butler

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Method Summary
`void` | `eventDispatched(AWTEvent event)`
`static ActiveDockableListener` | `getInstance()`
`static void` | `prime()`
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `stateChanged(ChangeEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### prime

    public static void prime()

### getInstance

    public static ActiveDockableListener getInstance()

### eventDispatched

    public void eventDispatched(AWTEvent event)

  Specified by:
    `eventDispatched` in interface `AWTEventListener`

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### stateChanged

    public void stateChanged(ChangeEvent e)

  Specified by:
    `stateChanged` in interface `ChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD